hsm_sign_params_t Struct Reference

`#include <libhsmdns.h>`

## Data Fields

ldns_algorithm | algorithm
uint16_t | flags
uint32_t | inception
uint32_t | expiration
uint16_t | keytag
ldns_rdf * | owner

## Detailed Description

Extra information for signing rrsets (algorithm, expiration, etc)

Definition at line 34 of file libhsmdns.h.

## Field Documentation

## algorithm

ldns_algorithm hsm_sign_params_t::algorithm

The DNS signing algorithm identifier

Definition at line 36 of file libhsmdns.h.

Referenced by hsm_get_dnskey(), hsm_keytag(), hsm_sign_params_new(), hsm_sign_rrset(), and main().

## expiration

uint32_t hsm_sign_params_t::expiration

The expiration date of signatures made with this key.

Definition at line 42 of file libhsmdns.h.

Referenced by hsm_sign_params_new().

## flags

uint16_t hsm_sign_params_t::flags

Key flags

Definition at line 38 of file libhsmdns.h.

Referenced by hsm_get_dnskey(), hsm_keytag(), and hsm_sign_params_new().

## inception

uint32_t hsm_sign_params_t::inception

The inception date of signatures made with this key.

Definition at line 40 of file libhsmdns.h.

Referenced by hsm_sign_params_new().

## keytag

uint16_t hsm_sign_params_t::keytag

The keytag of the key (is this necessary?)

Definition at line 44 of file libhsmdns.h.

Referenced by hsm_sign_params_new(), and main().

## owner

ldns_rdf* hsm_sign_params_t::owner

The owner name of the key

Definition at line 46 of file libhsmdns.h.

Referenced by hsm_get_dnskey(), hsm_keytag(), hsm_sign_params_free(), hsm_sign_params_new(), and main().

The documentation for this struct was generated from the following file:

- src/lib/libhsmdns.h